From: Unknown
Date: Wed, 23 Sep 2020 11:53:26 +0100
Subject: Fix FTBFS with gcc-10

Author: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Bug-Debian: https://bugs.debian.org/957081
Forwarded: no
---
 src/cfingerd.h      | 2 +-
 src/options.c       | 4 ++++
 userlist/main.c     | 4 ++++
 userlist/userlist.h | 2 +-
 4 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/src/cfingerd.h b/src/cfingerd.h
index 97ba635..0345a76 100644
--- a/src/cfingerd.h
+++ b/src/cfingerd.h
@@ -52,7 +52,7 @@
 #endif
 
 #if !defined(UT_USERSIZE) ||  !defined(UT_HOSTSIZE) ||  !defined(UT_LINESIZE) ||  !defined(UT_NAMESIZE)
-struct utmp foo_utmp;
+extern struct utmp foo_utmp;
 #endif
 
 #ifndef UT_USERSIZE
diff --git a/src/options.c b/src/options.c
index e832175..af0ba18 100644
--- a/src/options.c
+++ b/src/options.c
@@ -18,6 +18,10 @@
 
 #include "version.h"
 
+#if !defined(UT_USERSIZE) ||  !defined(UT_HOSTSIZE) ||  !defined(UT_LINESIZE) ||  !defined(UT_NAMESIZE)
+struct utmp foo_utmp;
+#endif
+
 /*
  * SET_DAEMON_MODE
  *
diff --git a/userlist/main.c b/userlist/main.c
index c68b457..c85bcf3 100644
--- a/userlist/main.c
+++ b/userlist/main.c
@@ -10,6 +10,10 @@
 #include "userlist.h"
 #include "proto.h"
 
+#if !defined(UT_USERSIZE) ||  !defined(UT_HOSTSIZE) ||  !defined(UT_LINESIZE) ||  !defined(UT_NAMESIZE)
+struct utmp foo_utmp;
+#endif
+
 int main(int argc, char *argv[])
 {
     initialize_userlist();
diff --git a/userlist/userlist.h b/userlist/userlist.h
index 57166a5..f1a70ad 100644
--- a/userlist/userlist.h
+++ b/userlist/userlist.h
@@ -55,7 +55,7 @@ typedef struct {
 #endif
 
 #if !defined(UT_USERSIZE) ||  !defined(UT_HOSTSIZE) ||  !defined(UT_LINESIZE) ||  !defined(UT_NAMESIZE)
-struct utmp foo_utmp;
+extern struct utmp foo_utmp;
 #endif
 
 #ifndef UT_USERSIZE
